### Function

# GimpUi prop_size_entry_new

since: 2.4

#### Declaration [src]

    GtkWidget*
    gimp_prop_size_entry_new (
      GObject* config,
      const gchar* property_name,
      gboolean property_is_pixel,
      const gchar* unit_property_name,
      const gchar* unit_format,
      GimpSizeEntryUpdatePolicy update_policy,
      gdouble resolution
    )

#### Description [src]

Creates a `GimpSizeEntry` to set and display the specified double or int property, and its associated unit property. Note that this function is only suitable for creating a size entry holding a single value. Use `gimp_prop_coordinates_new()` to create a size entry holding two values.

Available since: 2.4

#### Parameters

`config`

  Type: `GObject`

  Object to which property is attached.

  The data is owned by the caller of the function.

`property_name`

  Type: `const gchar*`

  Name of int or double property.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`property_is_pixel`

  Type: `gboolean`

  When `TRUE`, the property value is in pixels, and in the selected unit otherwise.

`unit_property_name`

  Type: `const gchar*`

  Name of unit property.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`unit_format`

  Type: `const gchar*`

  A printf-like unit-format string as is used with gimp_unit_menu_new().

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`update_policy`

  Type: `GimpSizeEntryUpdatePolicy`

  How the automatic pixel <-> real-world-unit calculations should be done.

`resolution`

  Type: `gdouble`

  The resolution (in dpi) for the field.

#### Return value

Type: `GtkWidget`

A new `GimpSizeEntry` widget.

The caller of the function takes ownership of the data, and is responsible for freeing it.